package com.fp.persistence.parmas.dto.ws;

import java.io.Serializable;

/**
 * Contiene datos del arma y las imagenes asociadas a una arma
 * @author Manuel Cepeda
 *
 */
public class DatosArmaDto implements Serializable{

	private static final long serialVersionUID = 5203532003887140746L;

	private String lote;
	private String tipoFabricacion;
	private String marca;
	private String modelo;
	private String estadoArma;
	private String tipoPermiso;
	private String descripcionClase;
	private String descripcionTipo;
	private String calibre;
	
	private String imagenImpronta;
	private String imagenArma;
	private String fichaTecnicaArma;	
	
	public DatosArmaDto() {
	}

	/**
	 * @return the imagenImpronta
	 */
	public String getImagenImpronta() {
		return imagenImpronta;
	}

	/**
	 * @param imagenImpronta the imagenImpronta to set
	 */
	public void setImagenImpronta(String imagenImpronta) {
		this.imagenImpronta = imagenImpronta;
	}

	/**
	 * @return the imagenArma
	 */
	public String getImagenArma() {
		return imagenArma;
	}

	/**
	 * @param imagenArma the imagenArma to set
	 */
	public void setImagenArma(String imagenArma) {
		this.imagenArma = imagenArma;
	}

	/**
	 * @return the fichaTecnicaArma
	 */
	public String getFichaTecnicaArma() {
		return fichaTecnicaArma;
	}

	/**
	 * @param fichaTecnicaArma the fichaTecnicaArma to set
	 */
	public void setFichaTecnicaArma(String fichaTecnicaArma) {
		this.fichaTecnicaArma = fichaTecnicaArma;
	}

	/**
	 * @return the lote
	 */
	public String getLote() {
		return lote;
	}

	/**
	 * @param lote the lote to set
	 */
	public void setLote(String lote) {
		this.lote = lote;
	}

	/**
	 * @return the tipoFabricacion
	 */
	public String getTipoFabricacion() {
		return tipoFabricacion;
	}

	/**
	 * @param tipoFabricacion the tipoFabricacion to set
	 */
	public void setTipoFabricacion(String tipoFabricacion) {
		this.tipoFabricacion = tipoFabricacion;
	}

	/**
	 * @return the marca
	 */
	public String getMarca() {
		return marca;
	}

	/**
	 * @param marca the marca to set
	 */
	public void setMarca(String marca) {
		this.marca = marca;
	}

	/**
	 * @return the modelo
	 */
	public String getModelo() {
		return modelo;
	}

	/**
	 * @param modelo the modelo to set
	 */
	public void setModelo(String modelo) {
		this.modelo = modelo;
	}

	/**
	 * @return the estadoArma
	 */
	public String getEstadoArma() {
		return estadoArma;
	}

	/**
	 * @param estadoArma the estadoArma to set
	 */
	public void setEstadoArma(String estadoArma) {
		this.estadoArma = estadoArma;
	}

	/**
	 * @return the tipoPermiso
	 */
	public String getTipoPermiso() {
		return tipoPermiso;
	}

	/**
	 * @param tipoPermiso the tipoPermiso to set
	 */
	public void setTipoPermiso(String tipoPermiso) {
		this.tipoPermiso = tipoPermiso;
	}

	/**
	 * @return the descripcionClase
	 */
	public String getDescripcionClase() {
		return descripcionClase;
	}

	/**
	 * @param descripcionClase the descripcionClase to set
	 */
	public void setDescripcionClase(String descripcionClase) {
		this.descripcionClase = descripcionClase;
	}

	/**
	 * @return the descripcionTipo
	 */
	public String getDescripcionTipo() {
		return descripcionTipo;
	}

	/**
	 * @param descripcionTipo the descripcionTipo to set
	 */
	public void setDescripcionTipo(String descripcionTipo) {
		this.descripcionTipo = descripcionTipo;
	}

	/**
	 * @return the calibre
	 */
	public String getCalibre() {
		return calibre;
	}

	/**
	 * @param calibre the calibre to set
	 */
	public void setCalibre(String calibre) {
		this.calibre = calibre;
	}
	
	
}
